Subject: Re: bug#10091: [GNU Libtool 2.4.2] testsuite: 47 115 123 failed on Cygwin 1.7.9 on WinXP

From: Earnie <[email-masked]>
Date: Tue, 22 Nov 2011 08:02:37 -0500

Peter Rosin wrote:
> Hi Earnie!
>
> [adding back the bug-tracker, I hope that's ok]
>

Yes, I'm just not used to needing to reply-all.

> Earnie skrev 2011-11-21 14:31:
>> Peter Rosin wrote:
>>> Stefano Lattarini skrev 2011-11-21 09:26:
>>>> On Monday 21 November 2011, Peter Rosin wrote:
>>>>> Hi Stefano!
>>>>>
>>>> Hi Peter.
>>>>
>>>>> Stefano Lattarini skrev 2011-11-20 23:07:
>>>>>> Attached are testsuite.log and config.log (compressed).
>>>>>
>>>>> Just a quick sanity check, have you
>>>>>
>>>> (Aside: this system is not installed nor administered by me).
>>>>
>>>>> installed the 'file' utility?
>>>>>
>>>> No, it's not installed.
>>>
>>> I believe the design decision is that Libtool on Cygwin requires
>>> 'file' to be installed. That seems unfriendly to me, as the
>>> casual user trying to build some random libtooled package (or
>>> libtool itself) doesn't know and probably doesn't expect that
>>> 'file' is required. The fact that 'file' is a dependency on the
>>> libtool package in Cygwin is of little help as the casual user
>>> generally does not need to install libtool in order to build that
>>> random libtooled package (or libtool itself).
>>>
>>
>> File is a standard POSIX utility often required in a configure
>> script. It is one of the binaries supplied with MSYS. I don't find
>> it illogical for libtool to require some standard set of utilities
>> to be available and since Cygwin is POSIX emulation the set of
>> commands that are specified by POSIX is the standard set. It is
>> the user's responsibility to make sure they are installed.
>>
>> http://manuals.ts.fujitsu.com/file/8867/posix_k.pdf
>
> Right, to express myself more clearly, I don't think it is unfriendly
> to require 'file' as such. I just think it is over on the unfriendly
> side to /silently/ require it and break in mysterious ways when it is
> missing. Especially so when it is so easy to create a Cygwin
> installation that lacks it. 'file' is not part of the Cygwin base
> install, and few packages require it, Libtool, Cygport and a couple
> of others. But nothing you generally need to build things like make,
> binutils or gcc require 'file' so it is very easy to overlook it.

I think it should be part of the base Cygwin since it is a required
POSIX tool.  Go complain on [email-masked] about that.  As for
libtool I don't think a patch is warranted but maybe a check of if file
exists as a command could be made.  What do others think?

-- 
Earnie
-- https://sites.google.com/site/earnieboyd/